- [HTTP request](https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.ekmConnections/verifyConnectivity#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.ekmConnections/verifyConnectivity#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.ekmConnections/verifyConnectivity#body.request_body)
- [Response body](https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.ekmConnections/verifyConnectivity#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.ekmConnections/verifyConnectivity#body.aspect)
- [Try it!](https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.ekmConnections/verifyConnectivity#try-it)

**Full name**: projects.locations.ekmConnections.verifyConnectivity

Verifies that Cloud KMS can successfully connect to the external key manager specified by an `https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.ekmConnections#EkmConnection`. If there is an error connecting to the EKM, this method returns a FAILED_PRECONDITION status containing structured information as described at <https://cloud.google.com/kms/docs/reference/ekm_errors>.

### HTTP request

Choose an endpoint:
global europe-west6 us-east7 europe-west3 us-west8 europe-west9 me-central2 us-east1 us-west1 us-west3 us-central2 us-east4 us-west2 europe-west8 us-central1 us-west4 us-east5 us-south1 northamerica-northeast1 northamerica-northeast2 us in ca   
`GET https://cloudkms.googleapis.com/v1/{name=projects/*/locations/*/ekmConnections/*}:verifyConnectivity`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The `https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.ekmConnections#EkmConnection.FIELDS.name` of the `https://docs.cloud.google.com/kms/docs/reference/rest/v1/projects.locations.ekmConnections#EkmConnection` to verify. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `cloudkms.ekmConnections.verifyConnectivity` |

### Request body

The request body must be empty.

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloudkms`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).